[arch-commits] Commit in feh/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 03:20:42 EDT 2009


    Date: Friday, April 3, 2009 @ 03:20:41
  Author: eric
Revision: 32964

Merged revisions 356,2310,32959 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/feh/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2310 | paul | 2008-05-31 11:15:19 -0400 (Sat, 31 May 2008) | 2 lines
  
  Added more licenses.
........
  r32959 | eric | 2009-04-03 02:48:31 -0400 (Fri, 03 Apr 2009) | 2 lines
  
  upgpkg: feh 1.3.4-4
      Added license, Added arch tag, Added libxt makedepends, FHS man pages and docs
........

Modified:
  feh/repos/extra-i686/	(properties)
  feh/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)


Property changes on: feh/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /feh/trunk:1
   + /feh/trunk:1-32963

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-03 07:13:36 UTC (rev 32963)
+++ extra-i686/PKGBUILD	2009-04-03 07:20:41 UTC (rev 32964)
@@ -4,16 +4,20 @@
 
 pkgname=feh
 pkgver=1.3.4
-pkgrel=3
+pkgrel=4
 pkgdesc="feh is a fast, lightweight image viewer which uses imlib2"
+arch=('i686' 'x86_64')
+url="http://www.linuxbrit.co.uk/feh/"
+license=('MIT')
 depends=('libpng' 'libxinerama' 'giblib')
+makedepends=('libxt')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
-url="http://www.linuxbrit.co.uk/feh/"
 md5sums=('3d35ba3d2f0693b019800787f1103891')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr
-	make || return 1
-	make prefix=$startdir/pkg/usr install
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man  || return 1
+  make || return 1
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/feh install || return 1
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list